#!/bin/sh
#
# icbltn.sh - build a new shared library (icbltn32.so) using bltnsamp.c
#

if [ -f bltnsamp.o ]; then
    rm -f bltnsamp.o
fi
if [ -f icbltn32.so ]; then
    mv -f ./icbltn32.so ./icbltn32.so.bu
fi

gcc -DYESINTEL -DNOTALPHA -D_FILE_OFFSET_BITS=64 -c -O3 -march=core2 \
	-fomit-frame-pointer -fpeephole -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wwrite-strings -Wstrict-prototypes \
	-Wredundant-decls -Wnested-externs -Winline -o bltnsamp.o bltnsamp.c
ld -o ./icbltn32.so -shared -Bdynamic -h icbltn32.so bltnsamp.o -lc

